/*
    2000 Microsoft Corporation. All rights reserved.
*/

var visPane = 0;
var vidPane = 1;
var eqPane = 2;
var plPane = 3;
var miniPane = 4;
var currentPane = 0;

var vidIsRunning = false;

function Init()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");
    visEffects.currentEffectType = mediacenter.effectType;
    visEffects.currentPreset = mediacenter.effectPreset;

    vidIsRunning =
        (player.OpenState==osMediaOpen &&
        player.currentMedia.ImageSourceWidth>0)
    if(vidIsRunning)
    {
        StartVideo();
    }
}

function OnClose()
{
    mediacenter.effectType = visEffects.currentEffectType;
    mediacenter.effectPreset = visEffects.currentPreset;
}

function StartVideo()
{
    vidIsRunning = true;
    SetVisibility(vidPane);
}

function EndVideo()
{
    vidIsRunning = false;
    if(currentPane == vidPane)
    {
        SetVisibility(visPane);
    }
}

function TogglePl()
{
    SetVisibility( (currentPane==plPane) ?
        (vidIsRunning ? vidPane : visPane) :
        plPane);
}

function ToggleEq()
{
    SetVisibility( (currentPane==eqPane) ?
        (vidIsRunning ? vidPane : visPane) :
        eqPane);
}

function VisClick()
{
    if(currentPane==visPane)
    {
        visEffects.next();
    }
    else
    {
        SetVisibility(vidIsRunning ?
            vidPane : visPane);
    }
}

function SetVisibility(newPane)
{
    view.width = 363;
    view.height = 364;

    switch(newPane)
    {
    case visPane:
        sBigView.visible =
            sSeek.visible =
            sMainSub.visible =
            visEffects.visible = true;
        pl.visible =
            sAudio.visible =
            sBalance.visible =
            sVolume.visible =
            sBass.visible =
            sTreble.visible =
            vid.visible = 
            sSmallView.visible = false;
        break;
    case eqPane:
        sBigView.visible =
            sSeek.visible =
            sMainSub.visible =
            sAudio.visible =
            sBalance.visible =
            sVolume.visible =
            sBass.visible =
            sTreble.visible = true;
        visEffects.visible =
            pl.visible =
            vid.visible = 
            sSmallView.visible = false;
        break;
    case plPane:
        sBigView.visible =
            sSeek.visible =
            sMainSub.visible =
            pl.visible = true;
        visEffects.visible =
            sAudio.visible =
            sBalance.visible =
            sVolume.visible =
            sBass.visible =
            sTreble.visible =
            vid.visible = 
            sSmallView.visible = false;
        break;
    case vidPane:
        sBigView.visible =
            sSeek.visible =
            sMainSub.visible =
            vid.visible = true;
        visEffects.visible =
            pl.visible =
            sAudio.visible =
            sBalance.visible =
            sVolume.visible =
            sBass.visible =
            sTreble.visible =
            sSmallView.visible = false;
        break;
    case miniPane:
        view.width = 107;
        view.height = 105;
        sSmallView.visible = true;
        sBigView.visible =
            sSeek.visible = 
            sMainSub.visible =
            pl.visible =
            visEffects.visible =
            sAudio.visible =
            sBalance.visible =
            sVolume.visible =
            sBass.visible =
            sTreble.visible =
            vid.visible = false;
        break;
    }
    currentPane = newPane;
}

function AdjustEQ()
{
    eq.gainLevel2 = (8*bass.value +   treble.value) / 9;
    eq.gainLevel3 = (7*bass.value + 2*treble.value) / 9;
    eq.gainLevel4 = (6*bass.value + 3*treble.value) / 9;
    eq.gainLevel5 = (5*bass.value + 4*treble.value) / 9;
    eq.gainLevel6 = (4*bass.value + 5*treble.value) / 9;
    eq.gainLevel7 = (3*bass.value + 6*treble.value) / 9;
    eq.gainLevel8 = (2*bass.value + 7*treble.value) / 9;
    eq.gainLevel9 = (  bass.value + 8*treble.value) / 9;
}